# create a button-bar frame

frame .bbar -height 16

set button_list [list \
  { add Add qsong } \
  { play Play playsong } \
  { kill Kill songkiller } \
  { halt Halt haltq }]

foreach i $button_list {
  set butt [lindex $i 0]
  set label [lindex $i 1]
  set callback [lindex $i 2]
  button .bbar.$butt \
     -bd $border \
     -text $label \
     -command $callback
}

proc pack_buttonbar {} {
  global button_list
  pack .bbar -side top -fill x -expand yes 
  foreach i $button_list {
    pack .bbar.[lindex $i 0] -side left -fill x -expand yes
  }
}

